NOTvyos package repository

Welcome to NOTvyos package repository provided by dd010101.
This APT mirror provides unofficially built .deb packages for stable branches of VyOS™.

NOTvyos packages are not affiliated with the official VyOS™ project in any means.

Test resulting ISO image carefully.
There is no official support.
Packages are provided on "AS IS" basis.
DO NOT report bugs of NOTvyos to the VyOS™ project.

Source code of provided packages can be found in the VyOS™ GitHub project.
Build scripts and instructions how to build your own package repository can be found in the dd010101/vyos-jenkins GitHub repository.

The APT gpg singing key for this repository can be found here.
You need to mount the APT key for later use when you are starting the vyos-build docker container via additional option -v "/local/path/to/apt.gpg.key:/opt/apt.gpg.key".
Then you can use --vyos-mirror ... and --custom-apt-key /opt/apt.gpg.key options for the ./configure or ./build-vyos-image iso commands to use this repository.
Where for 1.3.x/equuleus you need --vyos-mirror "https://vyos.tnyzeq.icu/apt/equuleus"
and for 1.4.x/sagitta you need --vyos-mirror "https://vyos.tnyzeq.icu/apt/sagitta" instead.

Docker and git is required for the build.

Complete build script for circinus:

#!/usr/bin/env bash
set -e

wget https://vyos.tnyzeq.icu/apt/apt.gpg.key -O /tmp/apt.gpg.key

rm -rf vyos-build/
git clone -b circinus --single-branch https://github.com/vyos/vyos-build.git

# temporary workaround for broken generic flavor
sed -i 's/vyos-xe-guest-utilities/xen-guest-agent/' vyos-build/data/build-flavors/generic.toml

version="1.5.x"

docker pull vyos/vyos-build:circinus
docker run --rm --privileged --name="vyos-build" -v ./vyos-build/:/vyos -e GOSU_UID=$(id -u) -e GOSU_GID=$(id -g) \
    --sysctl net.ipv6.conf.lo.disable_ipv6=0 -v "/tmp/apt.gpg.key:/opt/apt.gpg.key" -w /vyos vyos/vyos-build:circinus \
    sudo --preserve-env ./build-vyos-image generic \
        --architecture amd64 \
        --build-by "myself@localhost" \
        --build-type release \
        --debian-mirror http://deb.debian.org/debian/ \
        --version "$version" \
        --vyos-mirror "https://vyos.tnyzeq.icu/apt/circinus" \
        --custom-apt-key /opt/apt.gpg.key \
        --custom-package "vyos-1x-smoketest"

if [ -f vyos-build/build/live-image-amd64.hybrid.iso ]; then
    iso="vyos-$version-amd64.iso"
    cp vyos-build/build/live-image-amd64.hybrid.iso "$iso"
    echo "Build successful - $iso"
else
    >&2 echo "ERROR: ISO not found, something is wrong - see previous messages for what failed"
    exit 1
fi
WARNING: The equuleus and sagitta aren't updated anymore!

The VyOS™ team decided they won't publish the source for these branches to their public repositories anymore.
Thus, the version of these branches is frozen in time, and they won't get any updates.

Source code of provided packages can be found in the VyOS™ GitHub project. Some packages are built from dd010101/vyos-build fork and also dd010101/vyos-missing repository.
You can refer to the vyos-jenkins/extras/packages.md for the corresponding GIT repository and build script location for each package.

Complete build script for equuleus:

#!/usr/bin/env bash
set -e

wget https://vyos.tnyzeq.icu/apt/apt.gpg.key -O /tmp/apt.gpg.key

rm -rf vyos-build/
git clone -b equuleus --single-branch https://github.com/dd010101/vyos-build.git

version="1.3.x"

docker pull vyos/vyos-build:equuleus
docker run --rm --privileged --name="vyos-build" -v ./vyos-build/:/vyos -e GOSU_UID=$(id -u) -e GOSU_GID=$(id -g) \
    --sysctl net.ipv6.conf.lo.disable_ipv6=0 -v "/tmp/apt.gpg.key:/opt/apt.gpg.key" -w /vyos vyos/vyos-build:equuleus \
    sudo --preserve-env ./configure \
        --architecture amd64 \
        --build-by "myself@localhost" \
        --build-type release \
        --debian-elts-mirror http://deb.freexian.com/extended-lts \
        --version "$version" \
        --vyos-mirror "https://vyos.tnyzeq.icu/apt/equuleus" \
        --custom-apt-key /opt/apt.gpg.key \
        --custom-package "vyos-1x-smoketest"

docker run --rm --privileged --name="vyos-build" -v ./vyos-build/:/vyos -e GOSU_UID=$(id -u) -e GOSU_GID=$(id -g) \
    --sysctl net.ipv6.conf.lo.disable_ipv6=0 -v "/tmp/apt.gpg.key:/opt/apt.gpg.key" -w /vyos vyos/vyos-build:equuleus \
    sudo make iso

if [ -f vyos-build/build/live-image-amd64.hybrid.iso ]; then
    iso="vyos-$version-amd64.iso"
    cp vyos-build/build/live-image-amd64.hybrid.iso "$iso"
    echo "Build successful - $iso"
else
    >&2 echo "ERROR: ISO not found, something is wrong - see previous messages for what failed"
    exit 1
fi

Complete build script for sagitta:

#!/usr/bin/env bash
set -e

wget https://vyos.tnyzeq.icu/apt/apt.gpg.key -O /tmp/apt.gpg.key

rm -rf vyos-build/
git clone -b sagitta --single-branch https://github.com/dd010101/vyos-build.git

version="1.4.x"

docker pull vyos/vyos-build:sagitta
docker run --rm --privileged --name="vyos-build" -v ./vyos-build/:/vyos -e GOSU_UID=$(id -u) -e GOSU_GID=$(id -g) \
    --sysctl net.ipv6.conf.lo.disable_ipv6=0 -v "/tmp/apt.gpg.key:/opt/apt.gpg.key" -w /vyos vyos/vyos-build:sagitta \
    sudo --preserve-env ./build-vyos-image iso \
        --architecture amd64 \
        --build-by "myself@localhost" \
        --build-type release \
        --debian-mirror http://deb.debian.org/debian/ \
        --version "$version" \
        --vyos-mirror "https://vyos.tnyzeq.icu/apt/sagitta" \
        --custom-apt-key /opt/apt.gpg.key \
        --custom-package "vyos-1x-smoketest"

if [ -f vyos-build/build/live-image-amd64.hybrid.iso ]; then
    iso="vyos-$version-amd64.iso"
    cp vyos-build/build/live-image-amd64.hybrid.iso "$iso"
    echo "Build successful - $iso"
else
    >&2 echo "ERROR: ISO not found, something is wrong - see previous messages for what failed"
    exit 1
fi

Highlighted changes are those that differ from the official Docker build instructions. If you want to modify your existing build script then pay special attention to those.